Subject: Re: FVWM: windows acting in tandem

From: "Rouben Rostamian" <[email-masked]>
Date: Wed, 28 May 2003 00:20:57 -0400

Thanks you, Mikhael, for your useful suggestions regarding my recent
query (shown below.)  I figured out how to do transparent FvwmButtons
in version 2.4.5.  I will upgrade to 2.5.* one of these days to use
the newer features.

Now I have a related question.  When I change the root window
background image, the transparent FvwmButtons do not refresh
themselves, because I guess they are not aware that the root has
changed.  I have to do a RefreshWindow on FvwmButtons to get the
transparent parts adapt to the new background.  This brings me to my
question: will upgrading to 2.5.* help to get around this?  If not,
is there a "standard" method to update fvwm's transparent objects
when the root background changes?

As always, thank you for your time and dedication to readers of this
mailing list.

Rouben

> On 26 May 2003 21:18:07 -0400, Rouben Rostamian wrote:
> > 
> > Fvwm version: 2.4.5 
> > 
> > Let's say I have three windows with resource names win1, win2, win3.
> > I want to set things up so that when any of the three windows are
> > raised, the other two are also raised automatically.  Similarly,
> > when any one of them is lowered, the other two are also lowered
> > automatically.  In other words, the three windows act in tandem as
> > far as raising/lowering goes.
> > 
> > Let's assume that the geometry of the windows are fixed and they
> > do now overlap, otherwise we may run into problems.
> > 
> > I played around with FvwmEvent but did not get far.  I would appreciate
> > if you could help me with this.
> 
> You should be aware of endless loops. Say, you listen to lower_window,
> get win1 then you lower all 3 windows and get 3 new lower_window
> events... Maybe "*FvwmEvent: Delay 2" will help you to avoid this.
> 
> Is the problem that your windows are CirculateSkip? Then do:
> 
>   Next (FvwmPager, CirculateHit) Lower
> 
> > In case you are wondering why I want to do this, here is the reason.
> > I have three little windows near the bottom edge of the screen.
> > A Pager, an Xosview, and an Xload.  Like this:
> > 
> > 
> >      +------------+     +------------+     +------------+
> >      |            |     |            |     |            |
> >      |            |     |            |     |            |
> >      +------------+     +------------+     +------------+
> > 
> > If these windows are partially obscured by another application and
> > if the user raises one of them, I want all three to raise at once,
> > giving the impression that they are one whole unit, not three separate
> > windows.
> > 
> > PS:  I tried putting the three objects inside one FvwmButtons, but wasn't
> > able to make transparent horizontal gaps between them.
> 
> This is indead the best solution. Can you try again with 2.5.x using
> transparent colorset and "Style FvwmButtons ParentalRelativity"?
> 
> Regards,
> Mikhael.

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Olivier Chapuis <[email-masked]>
Date: Wed, 28 May 2003 08:41:16 +0200

> when the root background changes?

In 2.5.*, if you use an appropriate "set root" program, fvwm detect
root bg change and update the Transparent colorsets.
See FvwmThemes (2.5.x) man page for details.

Regards, Olivier